/target

#macos nonsense
/**/.DS_Store

/build

/launcher/launcher.exe

/dependency-reduced-pom.xml
/nb-configuration.xml

/Telephone-*.jar
/NetArranger-*.jar
/hs_err_pid*

.classpath
.project
#want to allow .settings/org.eclipse.jdt.core.prefs
#.settings

.dbeaver

#windows nonense
/**/Thumbs.db

#docs backup files
/docs/~$NetworkFlow.drawio.bkp
/docs/~$NetworkFlow.drawio.dtmp

#saves
/saves/random_sp_world
/saves/defaultLevel*

#screenshots
/assets/Screenshots

#debug
/netmonitor

#vscode
.settings

#testing cache
.testcache

#docs
/docs-dist/**
/docs/DoxygenWarningLog.txt

#imgui local layout
/imgui.ini

#script engine related
/assets/Scripts/compiler/typescript.js
